org.apache.synapse.commons.staxon.core.base

## Class XMLStreamWriterScope<T>

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.base.AbstractXMLStreamScope
  - - org.apache.synapse.commons.staxon.core.base.XMLStreamWriterScope<T>

- All Implemented Interfaces:
    javax.xml.namespace.NamespaceContext

      public class XMLStreamWriterScope<T>
      extends AbstractXMLStreamScope

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLStreamWriterScope(javax.xml.namespace.NamespaceContext parent, T info)`
    `XMLStreamWriterScope(java.lang.String defaultNamespace, T info)`
    `XMLStreamWriterScope(XMLStreamWriterScope<T> parent, java.lang.String prefix, java.lang.String localName, java.lang.String namespaceURI, boolean emptyElement)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getInfo()`
    `XMLStreamWriterScope<T>` | `getParent()`
    `boolean` | `isEmptyElement()`

    - ### Methods inherited from class org.apache.synapse.commons.staxon.core.base.AbstractXMLStreamScope

      `getLastChild, getLocalName, getNamespaceURI, getNamespaceURI, getPrefix, getPrefix, getPrefixes, isRoot, isStartTagClosed, setPrefix`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLStreamWriterScope

          public XMLStreamWriterScope(java.lang.String defaultNamespace,
                                      T info)

    - #### XMLStreamWriterScope

          public XMLStreamWriterScope(javax.xml.namespace.NamespaceContext parent,
                                      T info)

    - #### XMLStreamWriterScope

          public XMLStreamWriterScope(XMLStreamWriterScope<T> parent,
                                      java.lang.String prefix,
                                      java.lang.String localName,
                                      java.lang.String namespaceURI,
                                      boolean emptyElement)

  - ### Method Detail

    - #### getInfo

          public T getInfo()

    - #### getParent

          public XMLStreamWriterScope<T> getParent()

      Overrides:
        `getParent` in class `AbstractXMLStreamScope`

    - #### isEmptyElement

          public boolean isEmptyElement()

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.